#include <iostream>

using namespace std;

int main()
{
    long long int n,l;
    cin>>n>>l;
    long long int magassagok[n+11];
    for(int i=1; i<=n; i++)
    {
        cin>>magassagok[i];
    }

    int ko=0;

    for(int i=1; i<=n; i++)
    {
        if(magassagok[i]<=l)
        {
            ko=i;
            break;
        }
    }

    if(ko!=0)
    {
        cout<<ko;
    }
    else
    {
        cout<<-1;
    }

    return 0;
}